View Issue Details

IDProjectCategoryView StatusLast Update
0023506mantisbtfilterspublic2018-03-31 19:58
ReportercproensaAssigned Tocproensa 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2.8.0 
Target Version2.13.0Fixed in Version2.13.0 
Summary0023506: Filter tags inconsitent with OR filter operator
Description

The behaviour of the tag filter is not consistent with other filter proerties when using the OR operator (match: any condition)

For example, with a tag search as "-filter, +categories"
The matching issues should be: those issues that have "categories" tag, and don't have "filter" tag

By not having any other property in the filter, searching with both "match all conditions" or "any condition", should return the same results.
However, in this case they differ.
https://www.mantisbt.org/bugs/search.php?project_id=1&sticky=on&sort=last_updated&dir=DESC&hide_status=-2&tag_string=-filter%2C%20%20categories&match_type=0
https://www.mantisbt.org/bugs/search.php?project_id=1&sticky=on&sort=last_updated&dir=DESC&hide_status=-2&tag_string=-filter%2C%20%20categories&match_type=1

This can be argued, that each of the tag search elements is also affected by the filter operator, but in that situation, having the "-/+" modifiers is useless with a OR condition.

TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master 4455b133

2017-10-19 14:48:07

cproensa


Committer: dregad Details Diff
Fix filter tags with OR operator

Rewrite the queries to be compatible with the filtering OR operator

Fixes: 0023506
Affected Issues
0023506
mod - core/classes/BugFilterQuery.class.php Diff File

Issue History

Date Modified Username Field Change
2017-10-19 15:12 cproensa New Issue
2017-10-19 15:16 cproensa Description Updated View Revisions
2017-10-19 15:17 cproensa Description Updated View Revisions
2017-10-20 04:59 cproensa Assigned To => cproensa
2017-10-20 04:59 cproensa Status new => assigned
2018-03-05 04:19 dregad Changeset attached => MantisBT master 4455b133
2018-03-05 04:19 cproensa Status assigned => resolved
2018-03-05 04:19 cproensa Resolution open => fixed
2018-03-05 04:19 cproensa Fixed in Version => 2.13.0
2018-03-05 04:26 atrol Target Version => 2.13.0
2018-03-31 19:58 vboctor Status resolved => closed